Video to Canny Edge
Video to Canny Edge is the process of converting a video into a Canny edge representation, where edges in the video are emphasized and separated. Canny Edge is a popular algorithm in image processing and is often used to detect edges in images and videos.
MIT
Image-to-Image
PyTorch
English
Endpoint
POSThttps://api.aiozai.network/api/v1/model/013afe6c-f39a-4cb9-a95b-c95564cffe4b/task
X-API-KeyAIOZ_AI_API_KEY
Input Schema
| Field | Type | Description |
|---|---|---|
| input | URLrequired | The input for the model is a video file. It contains a sequence of frames that make up the video. |
Output Schema
| Field | Type | Description |
|---|---|---|
| output | URL | URL to a generated output artifact. |
curl -X POST \ "https://api.aiozai.network/api/v1/model/013afe6c-f39a-4cb9-a95b-c95564cffe4b/task" \ -H "x-api-key: $AIOZ_AI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "input": "https://s3.w3s.aioz.network/w3ai-platform-v2/uploads/documents/18156a91-d389-4986-99ce-7ffc46b221f9/2025/12/16/1765876500-NV2XkXByJ37h74edi5ZMaA.mp4?AWSAccessKeyId=FT7EO3IGQNMIILHXIDZRVTJHWE&Signature=pAZHl%2BvNhfnT47ZV3LzqImZbRpU%3D&Expires=2396596500" }'Response
{ "output": "https://s3.w3s.aioz.network/w3ai-platform/data/64c5c5076d9e4fc69fc0165528e257b0.webm?AWSAccessKeyId=FR46RKQH5H6OUSSRC4TYELDGNM&Signature=1ol32KC6pz9bbBXZKHNDQjrGCcg%3D&Expires=2767064290"}